<?php
/*
 $Id: usercal-delete.php,v 1.1 2003/07/22 21:23:14 adeniz Exp $

 Copyright (C) 2003 Baker Research, Ltd.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
  This script deletes one record in the PHProjekt database.

  See protocols.dvi for a description of this script.

*/

// Include the common library.
require('sync_common.php');

// If debugging is enabled, put up a web page with the variable info.
if (isset($debugVars)) {
  echo debug_header("$PHP_SELF");
  debug($userName, "userName");
  debug($userPW, "userPW");
  debug($recID, "recID");
  debug($ldap, "ldap");
  debug($pw_crypt, "pw_crypt");
}

// Check that all required variables are present.
if (!isset($userName) || (!isset($userPW)) || (!isset($recID))) {
  error_exit("$programError:  Missing input", $debugVars);
}

// Check for unique userName and correct userPW, and get the user ID.
$dbID = check_user_pw($userName, $userPW, $debugVars);

// Check that there is a unique record.
check_unique($recID, $dbID, $userName, $debugVars);

// Execute the query.
$query = "DELETE FROM termine WHERE (an = $dbID) AND (id = $recID)";
$result = db_query($query);

// Send the success status.
echo "$success";

// If debugging is enabled, send the footer.
if (isset($debugVars))
  echo debug_footer();
?>
