<?php
/*
 $Id: usercal.php,v 1.5 2003/07/22 21:23:14 adeniz Exp $

 Copyright (C) 2003 Baker Research, Ltd.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
  This script returns the contents of every record for future events in
  the PHProjekt database for a given user.

  See protocols.dvi for a description of this script.

*/

// Include the common library.
require('sync_common.php');

// If debugging is enabled, put up a web page with the variable info.
if (isset($debugVars)) {
  echo debug_header("$PHP_SELF");
  debug($userName, "userName");
  debug($userPW, "userPW");
  debug($reqTime, "reqTime");
  debug($reqDate, "reqDate");
  debug($ldap, "ldap");
  debug($pw_crypt, "pw_crypt");
}

// Check that all required variables are present.
if (!isset($userName) || (!isset($userPW)) || (!isset($reqTime)) ||
    (!isset($reqDate))) {
  error_exit("$programError:  Missing input", $debugVars);
}

// Assemble the time WHERE predicate.  This function also checks the
// format of the requested date and time.
$pred = format_time_predicate_exit($reqDate, $reqTime, $debugVars);

// Check for unique userName and correct userPW.
$dbID = check_user_pw($userName, $userPW, $debugVars);

// Execute the query.
$query = "SELECT id, datum, anfang, ende, event, note, an FROM termine ".
"WHERE (an = $dbID) AND (".$pred.")";
$result = db_query($query);

// Send the <events> tag.
echo "$events\n";

// For each record...
while ($row = db_fetch_row($result))
{
// ...send the <event> element.
  $contents =
    xml_element($row[0], "id").
    xml_element($row[1], "date").
    xml_element($row[2], "begin").
    xml_element($row[3], "end").
    xml_element($row[4], "desc").
    xml_element($row[5], "note");
  echo xml_element($contents, "event");
  echo "\n";
}

// Send the </events> tag.
echo "$endEvents\n";

// If debugging is enabled, send the footer.
if (isset($debugVars))
  echo debug_footer();
?>
